<?php

function last_node_admin_settings() {
  $nodes_types = node_get_types();

  $form['last_node_labels'] = array(
    '#type' => 'fieldset',
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#title' => t('Labels for your nodes'));

  $form['last_node_images'] = array(
    '#type' => 'fieldset',
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#title' => t('Images for your nodes (Relative path)') );
  foreach ($nodes_types as $v => $k) {
    $nodes[$v] = $v;
    $form['last_node_labels']["last_node_labelnode_$v"] = array(
          '#type' => 'textfield', 
          '#title' => t('Label for ') . $v,
          '#default_value' => variable_get('last_node_labelnode_'. $v,$v),
          '#size' => 32,'#maxlength' => 128,
          '#description' => t('It\'s the name for <em>') . $v . t('</em> node type that display in your last_node page'));

    $form['last_node_images']["last_node_imagenode_$v"] = array(
          '#type' => 'textfield',
          '#title' => t('Image for ') . $v .' <em>(Relative path)</em>',
          '#default_value' => variable_get('last_node_imagenode_'. $v, ''),
          '#size' => 32,'#maxlength' => 128,
          '#description' => t('It\'s the Image associated for <em>') . $v . t('</em> node type that display in your last_node page'));
  }

  $form['last_node_choice'] = array(
    '#type' => 'fieldset',
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#title' => t('Choice your nodes'));

  $form['last_node_choice']['last_node_check'] = array(
        '#type' => 'checkboxes',
        '#title' => t('Nodes included when you point at <em>last_node/</em> node and in <em>Last 10</em> block.<br />Here active too your block of last 10 nodes for type.'),
        '#default_value' => variable_get('last_node_check', array()),
        '#options' => $nodes, '#required' => TRUE);

  $form['last_node_other'] = array(
    '#type' => 'fieldset',
    '#collapsible' => TRUE,
    '#collapsed' => TRUE,
    '#title' => t('Other Settings'));

  $form['last_node_other']['last_node_blockhide'] = array(
        '#type' => 'checkbox',
        '#title' => t('<em>Auto-Hide</em> your block Last 10 for type, these will show only for node of same type display'),
        '#default_value' => variable_get('last_node_blockhide', FALSE));

  return system_settings_form($form);

}

?>
